application : "DataPlay"
user : "someUser"
components :
 -
  name : "LoadBalancer"
  incomingPorts :
   -
    name : "PublicLoadBalancerPort"
    number : 80
   -
    name : "LoadBalancerStatsPort"
    number : 2182
  lifecycleActions :
   download : "sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo wget git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay" 
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh && sudo /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
  outgoingPorts :
   -
    name : "MasterDownstreamPort"
    componentName : "MasterNode"
    portName : "MasterNodeIncoming"
    mandatory : false
    script : "sudo -E /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh updateports | sudo -E tee -a /var/log/camel.log > /dev/null"
   -
    name : "GamificationDownstreamNode"
    componentName : "FrontendNode"
    portName : "FrontendNodeIncoming"
    mandatory : false
    script : "sudo -E /root/DataPlay/tools/deployment_camel/loadbalancer/haproxy.sh updateports | sudo -E tee -a /var/log/camel.log > /dev/null"
  sensors :
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyStatsPageSensor"
    metricName: "HAPROXY-MASTER-TWO_XX_PER_SECOND"
    isVmSensor: true
    isPush: false
    configuration:
     haproxy.url: "http://localhost:2182/;csv"
     haproxy.auth.username: "playgen"
     haproxy.auth.password: "D@taP1aY"
     haproxy.group: "masters"
     haproxy.metric: "TWO_XX_PER_SECOND"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyStatsPageSensor"
    metricName: "HAPROXY-GAMIFICATION-TWO_XX_PER_SECOND"
    isVmSensor: true
    isPush: false
    configuration:
     haproxy.url: "http://localhost:2182/;csv"
     haproxy.auth.username: "playgen"
     haproxy.auth.password: "D@taP1aY"
     haproxy.group: "gamification"
     haproxy.metric: "TWO_XX_PER_SECOND"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyStatsPageSensor"
    metricName: "HAPROXY-MASTER-SESSION_PER_SECOND"
    isVmSensor: true
    isPush: false
    configuration:
     haproxy.url: "http://localhost:2182/;csv"
     haproxy.auth.username: "playgen"
     haproxy.auth.password: "D@taP1aY"
     haproxy.group: "masters"
     haproxy.metric: "SESSION_PER_SECOND"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyStatsPageSensor"
    metricName: "HAPROXY-GAMIFICATION-SESSION_PER_SECOND"
    isVmSensor: true
    isPush: false
    configuration:
     haproxy.url: "http://localhost:2182/;csv"
     haproxy.auth.username: "playgen"
     haproxy.auth.password: "D@taP1aY"
     haproxy.group: "gamification"
     haproxy.metric: "SESSION_PER_SECOND"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyHaLogSensor"
    metricName: "REQUEST_COUNT"
    isVmSensor: true
    isPush: false
    configuration:
     logPath: "/var/log/haproxy.log"
     metric: "REQUEST_COUNT"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyHaLogSensor"
    metricName: "ERROR_COUNT"
    isVmSensor: true
    isPush: false
    configuration:
     logPath: "/var/log/haproxy.log"
     metric: "ERROR_COUNT"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyHaLogSensor"
    metricName: "AVERAGE_RESPONSE_TIME"
    isVmSensor: true
    isPush: false
    configuration:
     logPath: "/var/log/haproxy.log"
     metric: "AVERAGE_RESPONSE_TIME"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.haproxy.HaProxyHaLogSensor"
    metricName: "AVERAGE_TOTAL_TIME"
    isVmSensor: true
    isPush: false
    configuration:
     logPath: "/var/log/haproxy.log"
     metric: "AVERAGE_TOTAL_TIME"
 -
  name : "MasterNode"
  incomingPorts :
   -
    name : "MasterNodeIncoming"
    number : 3000
  lifecycleActions :
   download : "if sudo bash -c '[ ! -d /root/DataPlay ]' ; then sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo wget unzip vim git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay ; else true ; fi"
   install : "if [ ! -x /home/ubuntu/www/dataplay/bin/dataplay ] ; then sudo chmod +x /root/DataPlay/tools/deployment_camel/app/master.sh && sudo /root/DataPlay/tools/deployment_camel/app/master.sh install | sudo tee -a /var/log/camel.log > /dev/null ; else true ; fi"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/app/master.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/app/master.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
  outgoingPorts : 
   -
    name : "MasterNodePgPool"
    componentName : "PgPool"
    portName : "PgPoolIncoming"
    mandatory : true
    script : "true"
   -
    name : "MasterNodeRedis"
    componentName : "Redis"
    portName : "RedisIncoming"
    mandatory : true
    script : "true"
   -
    name : "MasterNodeCassandra"
    componentName : "Cassandra"
    portName : "CassandraInport"
    mandatory : true
    script : "true"
 -
  name : "FrontendNode"
  incomingPorts :
   -
    name : "FrontendNodeIncoming"
    number : 80
  lifecycleActions :
   download : "sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo wget unzip vim git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay"
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/app/frontend.sh && sudo /root/DataPlay/tools/deployment_camel/app/frontend.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/app/frontend.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/app/frontend.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
  outgoingPorts :
   -
    name : "FrontendNodeLogic"
    componentName : "LoadBalancer"
    portName : "PublicLoadBalancerPort"
    mandatory : true
    script : "true"
 -
  name : "PostgreSql"
  incomingPorts :
   -
    name : "PsqlIncoming"
    number : 5432
  lifecycleActions :
   download : "sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo curl wget unzip vim git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay"
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/db/postgresql.sh && sudo /root/DataPlay/tools/deployment_camel/db/postgresql.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/db/postgresql.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/db/postgresql.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
 - 
  name : "Cassandra"
  incomingPorts :
   -
    name : "CassandraInport"
    number : 6379
  lifecycleActions :
   download : "sudo apt-get -y update && sudo  apt-get -y upgrade && sudo apt-get -y install sudo curl wget unzip vim git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay"
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/db/cassandra.sh && sudo  /root/DataPlay/tools/deployment_camel/db/cassandra.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/db/cassandra.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/db/cassandra.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
 -
  name : "PgPool"
  incomingPorts : 
  -
   name : "PgPoolIncoming"
   number : 5432
  lifecycleActions :
   download : "sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo curl wget unzip vim git rsyslog psmisc software-properties-common net-tools && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay"
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/db/pgpool.sh && sudo /root/DataPlay/tools/deployment_camel/db/pgpool.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/db/pgpool.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/db/pgpool.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
  outgoingPorts :
   -
    name : "PgPoolDownstream"
    componentName : "PostgreSql"
    portName : "PsqlIncoming"
    mandatory : false
    script : "sudo -E /root/DataPlay/tools/deployment_camel/db/pgpool.sh updateports | sudo -E tee -a /var/log/camel.log > /dev/null"
  sensors :
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.cassandra.CassandraSensor"
    metricName: "CASSANDRA-READS"
    isVmSensor: true
    isPush: false
    configuration:
     cassandra.ip: "localhost"
     cassandra.port: "7199"
     cassandra.metric: "READ_REQUESTS"
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.cassandra.CassandraSensor"
    metricName: "CASSANDRA-WRITES"
    isVmSensor: true
    isPush: false
    configuration:
     cassandra.ip: "localhost"
     cassandra.port: "7199"
     cassandra.metric: "WRITE_REQUESTS"     
 - 
  name : "Redis"
  incomingPorts :
   -
    name : "RedisIncoming"
    number : 6379
  lifecycleActions :
   download : "sudo apt-get -y update && sudo apt-get -y upgrade && sudo apt-get -y install sudo && sudo apt-get install -y git && sudo git clone -b master https://github.com/jodoma/DataPlay.git /root/DataPlay"
   install : "sudo chmod +x /root/DataPlay/tools/deployment_camel/db/redis.sh && sudo /root/DataPlay/tools/deployment_camel/db/redis.sh install | sudo tee -a /var/log/camel.log > /dev/null"
   configure : "sudo -E /root/DataPlay/tools/deployment_camel/db/redis.sh configure | sudo -E tee -a /var/log/camel.log > /dev/null"
   start : "sudo -E /root/DataPlay/tools/deployment_camel/db/redis.sh start | sudo -E tee -a /var/log/camel.log > /dev/null"
   stop : ""
