application: "Opencast"
user : "someUser"
components :
 -
  name : "nfs"
  maxInstances : 1
  incomingPorts : 
   -
    name : "NFS_INCOMING_PORT"
    number : 1234
  lifecycleActions :
   download : "for i in core-helper helper nfs-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done" 
   install : "sudo chmod +x /tmp/nfs-install.sh && /tmp/nfs-install.sh install"
   configure : "/tmp/nfs-install.sh configure"
   start : "/tmp/nfs-install.sh start"
   stop : ""
 -
  name : "activemq"
  maxInstances : 1
  incomingPorts : 
   -
    name : "ACTIVEMQ_INCOMING_PORT"
    number : 61616
  lifecycleActions : 
   download : "for i in core-helper helper activemq-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done"
   install : "sudo chmod +x /tmp/activemq-install.sh && /tmp/activemq-install.sh install"
   configure : "/tmp/activemq-install.sh configure"
   start : "/tmp/activemq-install.sh start"
   stop : ""
 -
  name : "db"
  maxInstances : 1
  incomingPorts :
   -
    name : "DB_INCOMING_PORT"
    number : 3306
  lifecycleActions : 
   download : "for i in core-helper helper mariadb-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done" 
   install : "sudo chmod +x /tmp/mariadb-install.sh && /tmp/mariadb-install.sh install"
   configure : "/tmp/mariadb-install.sh configure"
   start : "/tmp/mariadb-install.sh start"
   stop : ""
 - 
  name : "admin"
  maxInstances : 1
  incomingPorts : 
   -
    name : "ADMIN_INCOMING_PORT"
    number : 9191
  outgoingPorts :
   -
    name : "ADMIN_DB_CONNECTION"
    componentName : "db"
    portName : "DB_INCOMING_PORT"
    mandatory : true
    script : ""
   -
    name : "ADMIN_NFS_CONNECTION"
    componentName : "nfs"
    portName : "NFS_INCOMING_PORT"
    mandatory : true
    script : ""
   -
    name : "ADMIN_AMQ_CONNECTION"
    componentName : "activemq"
    portName : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    script : ""
  lifecycleActions : 
   download : "for i in core-helper helper admin-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done" 
   install : "sudo chmod +x /tmp/admin-install.sh && /tmp/admin-install.sh install"
   configure : "/tmp/admin-install.sh configure"
   start : "/tmp/admin-install.sh start"
   stop : ""
  sensors :
   -
    scheduleTimeUnit: "SECONDS"
    scheduleInterval: 1
    className: "de.uniulm.omi.cloudiator.visor.sensors.matterhorn.MatterhornSensor"
    metricName: "MATTERHORN-ADMIN-REQ_TOTAL"
    isVmSensor: true
    isPush: false
    configuration:
 - 
  name : "presentation"
  maxInstances : 1
  incomingPorts : 
   -
    name : "PRESENTATION_INCOMING_PORT"
    number : 9191
  outgoingPorts : 
   -
    name : "PRESENTATION_DB_CONNECTION"
    componentName : "db"
    portName : "DB_INCOMING_PORT"
    mandatory : true
    script : ""
   - 
    name : "PRESENTATION_NFS_CONNECTION"
    componentName : "nfs"
    portName : "NFS_INCOMING_PORT"
    mandatory : true
    script : ""
   -
    name : "PRESENTATION_AMQ_CONNECTION"
    componentName : "activemq"
    portName : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    script : ""
  lifecycleActions : 
   download : "for i in core-helper helper presentation-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done" 
   install : "sudo chmod +x /tmp/presentation-install.sh && /tmp/presentation-install.sh install"
   configure : "/tmp/presentation-install.sh configure"
   start : "/tmp/presentation-install.sh start"
   stop : ""
 - 
  name : "worker"
  incomingPort : 
   -
    name : "WORKER_INCOMING_PORT"
    number : 9191
  outgoingPorts :
   - 
    name : "WORKER_DB_CONNECTION"
    componentName : "db"
    portName : "DB_INCOMING_PORT"
    mandatory : true
    script : ""
   -
    name : "WORKER_NFS_CONNECTION"
    componentName : "nfs"
    portName : "NFS_INCOMING_PORT"
    mandatory : true
    script : ""
   - 
    name : "WORKER_AMQ_CONNECTION"
    componentName : "activemq"
    portName : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    script : ""
  lifecycleActions : 
   download : "for i in core-helper helper worker-install ; do curl -s https://omi-gitlab.e-technik.uni-ulm.de/omi-cloud/opencast/raw/master/opencast-223/centos-scripts/${i}.sh -o /tmp/${i}.sh ; done" 
   install : "sudo chmod +x /tmp/worker-install.sh && /tmp/worker-install.sh install"
   configure : "/tmp/worker-install.sh configure"
   start : "/tmp/worker-install.sh start"
   stop : ""